<template>
	<view class="con-body">
		<view class="con-bg">
			<!-- 头部 -->
			<customHeader ref="customHeaderRef" :title="'回款任务单修改'" :leftFlag="true" :rightFlag="true">
				<template #right>
					<view class="head-right" @click="submitForm">
						<uni-icons custom-prefix="iconfont" type="icon-phonebaocun" size="22"
							color="#B7D2FF"></uni-icons>保存
					</view>
				</template>
			</customHeader>

			<!-- 高度来避免头部遮挡 -->
			<view class="top-height"></view>

			<!-- 正文内容 -->
			<view class="white-bg">
				<view class="form-con">
					<uni-forms ref="formRef" :model="formData" :rules="rules" label-width="100px">
						<uni-forms-item label="客户名称" name="cusName" class="f-c-right">
							<view @click="chooseCustomer" class="form-item-container">
								<text class="name">{{ formData.cusName || '点击选择客户' }}</text>
							</view>
						</uni-forms-item>
						<uni-forms-item label="计划回款金额" name="targetAmount" required
							class="uni-forms-item is-direction-top is-top">
							<uni-easyinput type="textarea" autoHeight v-model="formData.targetAmount"
								placeholder="请输入计划回款金额" class="form-texarea" />
						</uni-forms-item>
					</uni-forms>
					<view class="footer-con">
					    <button class="btn-default" type="default" @click="handleDelete" size="mini">删 除</button>
					    <button class="btn-primary" type="primary" @click="submitForm" size="mini">保存/修改</button>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script setup>
	import {
		ref,
		onMounted,
		reactive,
		onUnmounted,
		computed
	} from 'vue'
	import customHeader from '@/components/customHeader.vue'
	import {
		getGuestList
	} from '@/api/business.js'
	import {
		isEmpty
	} from '@/utils/validate.js'
	import {
		updatePaymentDetail,deletePaymentDetail
	} from '@/api/crm/api_ys.js'
		import { onLoad } from '@dcloudio/uni-app'
	import { useMessage } from '@/utils/message.js'
	import cache from '@/utils/cache.js'
	let customerUser = reactive({})
	// 客户相关
	const guestList = ref([])
	const guestArr = ref([])
	const guestIndex = ref(0)

	// 表单数据
	const formData = ref({
				cusId: null,
				promiseCode: null,
				cusName:null,
				targetAmount:null,
					collectionId:null
				})

	// 表单验证规则
	const rules = {
		cusName: {
			rules: [{
				required: true,
				errorMessage: '请选择客户'
			}]
		},
		targetAmount: {
			rules: [{
				required: true,
				errorMessage: '请输入回款计划金额'
			},
			{
			      format: 'number',
			      errorMessage: '必须输入数字（可包含小数点）'
			},
			]
		}
	}
	const imgList = ref([])

	// picker 相关
	const index = ref(0)
	// 表单引用 & 客户选择器引用
	const formRef = ref(null)
	const customHeaderRef = ref(null)
	// 选择客户页面跳转
	function chooseCustomer() {
		uni.navigateTo({
			url: '/pages/business/CRM/marketActivity/chooseCus'
		})
	}
	//定义数据接收的值
	let selectedCustomer = reactive(null)

	//监听时间
	onMounted(() => {
		uni.$on('onCustomerSelected', handleCustomerSelected)
	})
	//取消监听
	onUnmounted(() => {
		uni.$off('onCustomerSelected', handleCustomerSelected)
	})

	//处理 接收数据
	const handleCustomerSelected = (data) => {
		formData.value.cusName = data.cusName
		formData.value.cusId = data.cusId
	}
	// 提交表单
	const submitForm = async () => {
		try {
			// 表单校验
			await formRef.value.validate()
			const res = await updatePaymentDetail(formData.value);
			console.log(res)
			uni.showToast({
				title: '提交成功',
				icon: 'success'
			})
			uni.$emit('refreshMarketOpportunityList')
			uni.navigateBack(1)
		} catch (err) {
			console.log('表单验证失败:', err)
		}
	}
	
	//定义查询参数
	const queryParams = ref({
	    informationId: 0
	})
		onLoad(options => {
		    formData.value.cusName = options.cusName
		    formData.value.cusId = options.cusId
		    formData.value.collectionId = options.collectionId
		    formData.value.targetAmount = options.targetAmount;
		})
		
	// 根据ID删除表单
	const handleDelete = async () => {
		try {
	
	        const res = await deletePaymentDetail(formData.value);
			uni.showToast({
				title: '删除成功',
				icon: 'success'
			})
			uni.$emit('refreshMarketOpportunityList')
			uni.navigateBack(1)
		} catch (err) {
			console.log('表单验证失败:', err)
		}
	}
</script>

<style scoped>
	.white-bg {
		width: 750rpx;
		padding: 30rpx 0 0;
		margin-bottom: 0;
		border-radius: 8px 8px 0 0;
	}

	.form-con {
		/* #ifdef APP-PLUS */
		height: calc(120vh - 100px)
			/* #endif */
			/* #ifndef APP-PLUS */
			height:calc(120vh - 80px)
			/* #endif */
	}

	:deep(.uni-date-x) {
		display: block;
	}

	:deep(.uni-date-x .icon-calendar) {
		float: right;
		margin-top: 15rpx;
		margin-right: 20rpx;
		background: url('../../../static/images/business/icon-date.png') no-repeat;
		background-size: 32rpx 35rpx;
		width: 32rpx;
		height: 35rpx;
	}

	:deep(.uni-date-x .icon-calendar::before) {
		display: none;
	}

	:deep(.uni-date-x .uni-date__x-input) {
		padding-left: 20rpx;
		color: #919191;
	}
</style>